{
    onDamagingHit(damage, target, source, move) {
        const sourceAbility = source.getAbility();
        if (sourceAbility.flags["cantsuppress"] || sourceAbility.id === "lingeringaroma") {
            return;
        }
        if (this.checkMoveMakesContact(move, source, target, !source.isAlly(target))) {
            const oldAbility = source.setAbility("lingeringaroma", target);
            if (oldAbility) {
                this.add("-activate", target, "ability: Lingering Aroma", this.dex.abilities.get(oldAbility).name, "[of] " + source);
            }
        }
    },
    onAnyTryAddVolatile(status, target, source, effect) {
        if (["attract", "disable", "encore", "healblock", "taunt", "torment"].includes(status.id)) {
            if (effect.effectType === "Move") {
                const effectHolder = this.effectState.target;
                this.add("-block", target, "ability: Lingering Aroma", "[of] " + effectHolder);
            }
            return null;
        }
    },
    flags: {},
    name: "Lingering Aroma",
    rating: 2,
    num: 268
}
